Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Gemini » Dependency troubles with Felix and Gemini JPA(Trouble with deploying gemini.jpa 1.1.0 on Felix 4.7.0 )
icon9.gif  Dependency troubles with Felix and Gemini JPA [message #1596884] Mon, 02 February 2015 00:49 Go to next message
Bernd Prager is currently offline Bernd PragerFriend
Messages: 6
Registered: November 2012
Junior Member
I'm fairly new to Gemini and try to get JPA running on Apache Felix Main 4.7.0-SNAPSHOT

I deployed all the required dependencies (I think), but gemini.jpa refuses to deploy with:
g! deploy org.eclipse.gemini.jpa
Unsatisfied requirement(s):
---------------------------
   (&(bundle=org.eclipse.persistence.asm)(bundle-version>=3.3.1))
      null
   (&(bundle=org.eclipse.persistence.jpa.jpql)(bundle-version>=2.0.0))
      null
   (&(bundle=org.eclipse.persistence.jpa)(bundle-version>=2.4.0))
      null
   (&(bundle=org.eclipse.persistence.antlr)(bundle-version>=3.2.0))
      null
   (&(bundle=org.eclipse.persistence.core)(bundle-version>=2.4.0))
      null
g! list gemini
org.eclipse.gemini.jpa (1.1.0.RELEASE)

Felix shows all the required bundles active though:
g! lb
START LEVEL 1
   ID|State      |Level|Name
    0|Active     |    0|System Bundle (4.7.0.SNAPSHOT)
    1|Active     |    1|Apache Felix Bundle Repository (2.0.3.SNAPSHOT)
    2|Active     |    1|Apache Felix Gogo Command (0.14.0)
    3|Active     |    1|Apache Felix Gogo Runtime (0.12.1)
    4|Active     |    1|Apache Felix Gogo Shell (0.10.0)
    6|Resolved   |    1|Apache Felix Log Service (1.0.0)
   12|Resolved   |    1|Apache Felix Http Bundle (2.0.4)
   13|Active     |    1|osgi.enterprise (5.0.0.201203141834)
   18|Active     |    1|Oracle Corporation's JDBC Driver for MySQL (5.1.34)
   26|Active     |    1|EclipseLink ANTLR (3.2.0.v201302191141)
   30|Active     |    1|Java Persistence API 2.1 (2.1.0.v201304241213)
   33|Active     |    1|EclipseLink ASM (3.3.1.v201302191223)
   34|Active     |    1|EclipseLink Core (2.5.2.v20140319-9ad6abd)
   35|Active     |    1|EclipseLink JPA (2.5.2.v20140319-9ad6abd)
   36|Active     |    1|EclipseLink Hermes Parser (2.5.2.v20140319-9ad6abd)

Could anybody give me a hand her? What am I missing? Thank you for your help!
Re: Dependency troubles with Felix and Gemini JPA [message #1598186 is a reply to message #1596884] Mon, 02 February 2015 21:08 Go to previous messageGo to next message
Michael Keith is currently offline Michael KeithFriend
Messages: 243
Registered: July 2009
Senior Member
Hi Bernd,

I noticed that the org.eclipse.persistence.jpa.jpql bundle is not displayed in the running list. Is it active?

-Mike
Re: Dependency troubles with Felix and Gemini JPA [message #1598198 is a reply to message #1598186] Mon, 02 February 2015 21:18 Go to previous messageGo to next message
Bernd Prager is currently offline Bernd PragerFriend
Messages: 6
Registered: November 2012
Junior Member
It's displayed as the Hermes Parser:


g! lb | grep 36
   36|Active     |    1|EclipseLink Hermes Parser (2.5.2.v20140319-9ad6abd)
true
g! lb -l | grep 36
   36|Active     |    1|file:/Users/bernd_prager/Projects/osgi-bundles/org.eclipse.persistence.jpa.jpql-2.5.2.jar
true

-- Bernd
Re: Dependency troubles with Felix and Gemini JPA [message #1602466 is a reply to message #1598198] Thu, 05 February 2015 15:34 Go to previous message
Bernd Prager is currently offline Bernd PragerFriend
Messages: 6
Registered: November 2012
Junior Member
I got it working with Gemini JPA (1.2.0.M1).
Previous Topic:Dynamic web bundle?
Next Topic:Spring MVC with Blueprint Web?
Goto Forum:
  


Current Time: Sun Nov 18 05:47:59 GMT 2018

Powered by FUDForum. Page generated in 0.01877 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top